API Reference

Vocabularies

9 endpoints· Auth: JWT or API Key
get/api/v1/console/settings/vocabularies JWT API Key

Get vocabularies

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/settings/vocabularies" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu
get/api/v1/console/settings/vocabularies/{vocabulary} JWT API Key

Get vocabulary

Path parameters

vocabularyrequired
string
—

Query parameters

Active
boolean
—
IncludeDeleted
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/settings/vocabularies/{vocabulary}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/settings/vocabularies/{vocabulary} JWT API Key

Create vocabulary

Path parameters

vocabularyrequired
string
—

Request body

application/json
{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
code
string
—
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/settings/vocabularies/{vocabulary}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "code": "string",
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
get/api/v1/console/settings/vocabularies/{vocabulary}/{id} JWT API Key

Get id

Path parameters

vocabularyrequired
string
—
idrequired
string (uuid)
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/settings/vocabularies/{vocabulary}/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
put/api/v1/console/settings/vocabularies/{vocabulary}/{id} JWT API Key

Update id

Path parameters

vocabularyrequired
string
—
idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/settings/vocabularies/{vocabulary}/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
patch/api/v1/console/settings/vocabularies/{vocabulary}/{id} JWT API Key

Update id

Path parameters

vocabularyrequired
string
—
idrequired
string (uuid)
—

Request body

application/json
{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}
name
string
—
nameAr
string
—
sortOrder
integer (int32)
—
active
boolean
—
metadata
string
—

Responses

200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/settings/vocabularies/{vocabulary}/{id}" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "nameAr": "string",
  "sortOrder": 0,
  "active": false,
  "metadata": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/settings/vocabularies/{vocabulary}/{id} JWT API Key

Delete id

Path parameters

vocabularyrequired
string
—
idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/settings/vocabularies/{vocabulary}/{id}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/settings/vocabularies/{vocabulary}/{id}/active JWT API Key

Create active

Path parameters

vocabularyrequired
string
—
idrequired
string (uuid)
—

Request body

application/json
{
  "active": false,
  "reason": "string"
}
active
boolean
—
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/settings/vocabularies/{vocabulary}/{id}/active" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "active": false,
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/settings/vocabularies/{vocabulary}/reorder JWT API Key

Create reorder

Path parameters

vocabularyrequired
string
—

Request body

application/json
{
  "order": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "sortOrder": 0
    }
  ]
}
order
VocabularyOrderEntry[]
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/settings/vocabularies/{vocabulary}/reorder" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "order": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "sortOrder": 0
    }
  ]
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu